<?php
class ModelExtensionAdvertiseUcc extends Model {
    private $api_version = '1.1';
    private $extension_version = '1.0.0';

    public function getPartnerSolutionId() {
        return 'OPENCART_' . VERSION . '_ISENSE_' . $this->extension_version;
    }

    public function getApiVersion() {
        return $this->api_version;
    }

    public function hookEvents() {
        $events = array(
            'catalog/controller/checkout/checkout/before' => 'extension/advertise/Ucc_/init',
        );
        $this->load->model('setting/event');

        foreach ($events as $trigger => $action) {
            $this->model_setting_event->addEvent('advertise_Ucc_', $trigger, $action, 1, 0);
        }
    }

    public function unhookEvents() {
        $this->load->model('setting/event');

        $this->model_setting_event->deleteEventByCode('advertise_Ucc_');
    }

    public function dropData() {
        $this->load->model('setting/setting');

        $data = $this->model_setting_setting->deleteSetting('advertise_Ucc_');
    }
}